Skip to content

Get function

GET
/api/v1/projects/{id}/functions/{functionId}
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/projects/example/functions/example \
--header 'Authorization: <Authorization>'

Returns a single serverless function by ID

id
required
string

Project ID

functionId
required
string

Function ID

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
active
boolean
created_at
string
deployment_id
string
file_path
string
id
string
image_ref
string
kind
string
Allowed values: background http
name
string
project_id
string
runtime
string
Allowed values: nodejs20 nodejs22
source_hash
string
team_id
string
timeout_seconds
integer
updated_at
string
Example
{
"data": {
"kind": "background",
"runtime": "nodejs20"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Internal Server Error

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}